echo "Hello, this is CMSdesktop" > /tmp/CMSdesktop
# add CERN servers to /etc/krb.conf
/bin/echo "CERN.CH" >> /etc/krb.conf
/bin/echo "CERN.CH afsdb1.cern.ch" >> /etc/krb.conf
/bin/echo "CERN.CH afsdb3.cern.ch" >> /etc/krb.conf
/bin/echo "CERN.CH afsdb2.cern.ch" >> /etc/krb.conf
/bin/echo ".cern.ch CERN.CH" >>/etc/krb.realms


# create the mount points for the IBRIX and dCache nfs exports
/bin/mkdir -p /uscms
/bin/mkdir -p /uscmst1/prod
/bin/mkdir -p /uscmst1b_scratch/lpc1
/bin/mkdir -p /uscms_data/d1
/bin/mkdir -p /pnfs/cms

# add the IBRIX and dCache nfs imports in /etc/fstab
echo "cmsstor37:/uscmst1/prod /uscmst1/prod nfs rsize=32768,intr,bg,hard,ro,noatime,nodiratime 0 0" >>/etc/fstab
echo "blue2.fnal.gov:/uscmst1b_scratch/lpc1 /uscmst1b_scratch/lpc1 nfs rsize=32768,intr,bg,hard,rw,noatime,nodiratime 0 0" >>/etc/fstab
echo "blue2.fnal.gov:/uscms_data/d1 /uscms_data/d1 nfs rsize=32768,intr,bg,hard,rw,noatime,nodiratime 0 0" >>/etc/fstab
echo "blue2.fnal.gov:/uscms /uscms nfs rsize=32768,intr,bg,hard,rw,noatime,nodiratime 0 0" >>/etc/fstab
echo "cmspnfs:/cms    /pnfs/cms       nfs sync,rsize=4096,wsize=4096,intr,bg,hard,rw,noac 0 0" >>/etc/fstab


# make gnome use local lock file
echo setenv GCONF_LOCAL_LOCKS 1 > /etc/profile.d/gnome.csh
echo export GCONF_LOCAL_LOCKS=1 > /etc/profile.d/gnome.sh

# enable kerberos password for screensaver unlock
echo session     optional      /lib/security/$ISA/pam_krb5afs.so >>/etc/pam.d/system-auth

# put Patrick and Hans in .k5login
echo gartung@FNAL.GOV >>/root/.k5login
echo wenzel@FNAL.GOV >>/root/.k5login

# Add us_cms grou
/usr/sbin/groupadd -g 5063 us_cms
